Show / Hide Table of Contents

# Class EntryPoint

The main entrypoint for the Dalamud system.

##### Inheritance

System.Object
EntryPoint

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class EntryPoint : IEntryPoint

### Constructors

| Improve this Doc View Source

#### EntryPoint(RemoteHooking.IContext, DalamudStartInfo)

Initializes a new instance of the EntryPoint class.

##### Declaration

    public EntryPoint(RemoteHooking.IContext ctx, DalamudStartInfo info)

##### Parameters

Type | Name | Description
--- | --- | ---
RemoteHooking.IContext | ctx | The used to load the DLL.
DalamudStartInfo | info | The DalamudStartInfo containing information needed to initialize Dalamud.

### Methods

| Improve this Doc View Source

#### Run(RemoteHooking.IContext, DalamudStartInfo)

Initialize all Dalamud subsystems and start running on the main thread.

##### Declaration

    public void Run(RemoteHooking.IContext ctx, DalamudStartInfo info)

##### Parameters

Type | Name | Description
--- | --- | ---
RemoteHooking.IContext | ctx | The used to load the DLL.
DalamudStartInfo | info | The DalamudStartInfo containing information needed to initialize Dalamud.